Package org.apache.catalina.authenticator

## Class SavedRequest

- java.lang.Object
- - org.apache.catalina.authenticator.SavedRequest

All Implemented Interfaces:
  `java.io.Serializable`

    public final class SavedRequest
    extends java.lang.Object
    implements java.io.Serializable

Object that saves the critical information from a request so that form-based authentication can reproduce it once the user has been authenticated.

IMPLEMENTATION NOTE - It is assumed that this object is accessed only from the context of a single thread, so no synchronization around internal collection classes is performed.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SavedRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCookie​(Cookie cookie)`
`void` `addHeader​(java.lang.String name, java.lang.String value)`
`void` `addLocale​(java.util.Locale locale)`
`ByteChunk` `getBody()`
`java.lang.String` `getContentType()`
`java.util.Iterator<Cookie>` `getCookies()`
`java.lang.String` `getDecodedRequestURI()`
`java.util.Iterator<java.lang.String>` `getHeaderNames()`
`java.util.Iterator<java.lang.String>` `getHeaderValues​(java.lang.String name)`
`java.util.Iterator<java.util.Locale>` `getLocales()`
`java.lang.String` `getMethod()`
`int` `getOriginalMaxInactiveInterval()`
`java.lang.String` `getQueryString()`
`java.lang.String` `getRequestURI()`
`void` `setBody​(ByteChunk body)`
`void` `setContentType​(java.lang.String contentType)`
`void` `setDecodedRequestURI​(java.lang.String decodedRequestURI)`
`void` `setMethod​(java.lang.String method)`
`void` `setOriginalMaxInactiveInterval​(int originalMaxInactiveInterval)`
`void` `setQueryString​(java.lang.String queryString)`
`void` `setRequestURI​(java.lang.String requestURI)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SavedRequest

    public SavedRequest()

### Method Detail

#### addCookie

    public void addCookie​(Cookie cookie)

#### getCookies

    public java.util.Iterator<Cookie> getCookies()

#### addHeader

    public void addHeader​(java.lang.String name,
                          java.lang.String value)

#### getHeaderNames

    public java.util.Iterator<java.lang.String> getHeaderNames()

#### getHeaderValues

    public java.util.Iterator<java.lang.String> getHeaderValues​(java.lang.String name)

#### addLocale

    public void addLocale​(java.util.Locale locale)

#### getLocales

    public java.util.Iterator<java.util.Locale> getLocales()

#### getMethod

    public java.lang.String getMethod()

#### setMethod

    public void setMethod​(java.lang.String method)

#### getQueryString

    public java.lang.String getQueryString()

#### setQueryString

    public void setQueryString​(java.lang.String queryString)

#### getRequestURI

    public java.lang.String getRequestURI()

#### setRequestURI

    public void setRequestURI​(java.lang.String requestURI)

#### getDecodedRequestURI

    public java.lang.String getDecodedRequestURI()

#### setDecodedRequestURI

    public void setDecodedRequestURI​(java.lang.String decodedRequestURI)

#### getBody

    public ByteChunk getBody()

#### setBody

    public void setBody​(ByteChunk body)

#### getContentType

    public java.lang.String getContentType()

#### setContentType

    public void setContentType​(java.lang.String contentType)

#### getOriginalMaxInactiveInterval

    public int getOriginalMaxInactiveInterval()

#### setOriginalMaxInactiveInterval

    public void setOriginalMaxInactiveInterval​(int originalMaxInactiveInterval)